---
title: llarp::linux::dbus_call_exception
summary: exception for a failed calling of a dbus method 

---

# llarp::linux::dbus_call_exception



exception for a failed calling of a dbus method 


`#include <dbus.hpp>`

Inherits from std::runtime_error

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[dbus_call_exception](Classes/classllarp_1_1linux_1_1dbus__call__exception.md#function-dbus-call-exception)**(std::string meth, int err) |

## Public Functions Documentation

### function dbus_call_exception

```cpp
explicit dbus_call_exception(
    std::string meth,
    int err
)
```


-------------------------------

Updated on 2023-01-23 at 22:05:55 +0000